# Interface SupplementData

public interface SupplementData
Accessor for the data supplied by columns in an associated ColumnSupplement. An instance of this class is returned from `ColumnSupplement.createSupplementData(RowData)` method. Note that a RowSequence from a host table is associated with this object, and the cell/row data supplied by this object is in general generated by manipulating data orginally supplied by that underlying row sequence. In particular the data supplied by this object is always from the current row of the underlying RowSequence; the row index supplied to the getRow/getCell methods of this object is additional information, it is not to be used to request out of sequence values.

Since:
  2 Apr 2012
Author:
  Mark Taylor
See Also:
  - `ColumnSupplement`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCell(long irow, int icol)`
Returns a cell value from the current row of this sequence.
`Object[]`
`getRow(long irow)`
Returns an array of cell values giving the current row of this sequence.

## Method Details

### getCell

Object getCell(long irow, int icol) throws IOException
Returns a cell value from the current row of this sequence.

Parameters:
  `irow` - current index of the sequence; supplied for information only, and not to be used for random access
  `icol` - column index
Returns:
  value of column `icol` at current sequence row
Throws:
  `IOException`

### getRow

Object[] getRow(long irow) throws IOException
Returns an array of cell values giving the current row of this sequence.

Parameters:
  `irow` - current index of the sequence; supplied for information only, and not to be used for random access
Returns:
  current sequence row
Throws:
  `IOException`